Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine.pool
Class ItemObjectProxyImpl

    java.lang.Object
      |
      +--com.bea.commerce.ebusiness.price.engine.pool.ItemObjectProxyImpl

public class ItemObjectProxyImpl
extends java.lang.Object
implements ItemObject

This classes uses a LineItem object to get values for the pool object.

See Also:
  `LineItem`

Field Summary
`static java.lang.String` | `cName`

Constructor Summary
`ItemObjectProxyImpl()`
`ItemObjectProxyImpl(Pool pool, LineItem lineItem, int line, int position)`

Method Summary
`int` | `compareTo(java.lang.Object obj)` May throw ClassCastException if obj is not a ItemObjectProxyImpl.
`boolean` | `equalLineItem(ItemObject object)`
`boolean` | `equals(java.lang.Object obj)`
`Money` | `getActualPrice()`
`Money` | `getBasePrice()`
`CategoryKey[]` | `getCategoryKeys()`
`CatalogItemKey` | `getItemKey()`
`LineItem` | `getLineItem()` used by the pool to adjust the underlying line item
`Money` | `getMsrp()`
`Pool` | `getPool()`
`java.lang.String` | `getUID()`
`int` | `hashCode()`
`void` | `set(Pool pool, LineItem lineItem, int line, int position)`
`java.lang.String` | `toString()`
`static java.lang.String` | `toString(java.util.Iterator it, int size)`
`static java.lang.String` | `toString(java.util.List list)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### cName

    public static final java.lang.String cName

Constructor Detail

### ItemObjectProxyImpl

    public ItemObjectProxyImpl()

### ItemObjectProxyImpl

    public ItemObjectProxyImpl(Pool pool,
                               LineItem lineItem,
                               int line,
                               int position)

Method Detail

### set

    public void set(Pool pool,
                    LineItem lineItem,
                    int line,
                    int position)

### getActualPrice

    public Money getActualPrice()

### getBasePrice

    public Money getBasePrice()

  Specified by:
    getBasePrice in interface ItemObject

### getMsrp

    public Money getMsrp()

  Specified by:
    getMsrp in interface ItemObject

### getItemKey

    public CatalogItemKey getItemKey()

  Specified by:
    getItemKey in interface ItemObject

### getCategoryKeys

    public CategoryKey[] getCategoryKeys()

  Specified by:
    getCategoryKeys in interface ItemObject

### equalLineItem

    public boolean equalLineItem(ItemObject object)

  Specified by:
    equalLineItem in interface ItemObject

### getLineItem

    public LineItem getLineItem()

  used by the pool to adjust the underlying line item
  Specified by:
    getLineItem in interface ItemObject

### compareTo

    public int compareTo(java.lang.Object obj)

  May throw ClassCastException if obj is not a ItemObjectProxyImpl.

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    equals in class java.lang.Object

### getUID

    public java.lang.String getUID()

### getPool

    public Pool getPool()

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class java.lang.Object

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### toString

    public static java.lang.String toString(java.util.List list)

### toString

    public static java.lang.String toString(java.util.Iterator it,
                                            int size)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved